Bug 1924737 - Retire python3.5
Summary: Retire python3.5
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Changes Tracking
Version: 35
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miro Hrončok
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: F35Changes
TreeView+ depends on / blocked
 
Reported: 2021-02-03 14:33 UTC by Ben Cotton
Modified: 2021-11-02 16:03 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-11-02 16:03:44 UTC
Type: ---


Attachments (Terms of Use)

Description Ben Cotton 2021-02-03 14:33:19 UTC
This is a tracking bug for Change: Retire python3.5
For more details, see: https://fedoraproject.org/wiki/Changes/RetirePython3.5

The python3.5 package will be retired without replacement from Fedora 35. Python 3.5 has been End of Life since September 2020 and was kept around only to test software targeting Ubuntu 16.04 “Xenial Xerus” LTS and Debian 9 “Stretch” LTS. The removal is more or less aligned with Debian 9 EOL (2022-06-30) -- Fedora 34 EOLs on 2022-05-17. Ubuntu 16.04 LTS EOLs sooner, in April 2021.

Comment 1 Miro Hrončok 2021-02-03 23:03:41 UTC
Not before branching.

Also, I'd rather do this as late as possible same as with Python 3.4. We might benefit of the CI tests on Python 3.5 in rawhide if we ever backport some changes from rawhide to Fedora 34 (or even 33/32).

Hence, my plan is to retire python3.5 right before the Fedora 35 branching (August 2021) or sooner if it fails to install for some reason (beyond a reasonable fix).

Comment 2 Miro Hrončok 2021-08-02 12:15:45 UTC
Branching of Fedora 36 happens next week, so I've retired the package:

https://src.fedoraproject.org/rpms/python3.5/c/5b15410dffcfe681bd3d1a656116ad3a54ef895e?branch=rawhide



I've also opened a pull request for tox to stop Recommending it: https://src.fedoraproject.org/rpms/python-tox/pull-request/53

Comment 3 Petr Viktorin 2021-08-03 09:07:03 UTC
The package is no longer in the repo.

Comment 4 Ben Cotton 2021-11-02 16:03:44 UTC
F35 was released today. Closing the trackers.


Note You need to log in before you can comment on or make changes to this bug.